Get User Details by bank account ( STABLE )
curl --request POST \
--url https://api.grailpay.com/3p/api/v1/bank-account/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.grailpay.com/3p/api/v1/bank-account/user"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.grailpay.com/3p/api/v1/bank-account/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"client_reference_id": "",
"uuid": "401c79dd-d38c-4c3a-8edf-1afac5914d2d",
"first_name": "John",
"last_name": "Doe",
"name": "Jack Inc.",
"tin": "961862955",
"user_status": "Approved|On Hold|Rejected",
"kyb_status": "Approved|In Review|Failed|null",
"kyb_rejected_reason": null,
"email": "",
"phone": "",
"financing_credit_balance": null,
"address": {
"street_address": "20 Elmora Ave",
"additional_address": "",
"city": "Elizabeth",
"state": "NJ",
"country": "US",
"zip": "07202"
},
"business_owners": {
"first_name": "Olive",
"last_name": "Vein",
"dob": "1996-05-04",
"ssn9": "123456789",
"address_line_1": "778 E Encore Dr",
"city": "Hanford",
"state": "CA",
"zip": "93230"
},
"created_at": "2024-06-03 15:58:44",
"updated_at": "2024-06-04 18:30:30"
},
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "This user is not available as they have been scheduled for deletion.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "No bank account found with given details.",
"data": null,
"errors": null,
"error_code": {
"type": "client_error",
"subType": "account_uuid_not_found"
}
}Bank Accounts
Get User Details by bank account ( STABLE )
This API will return the details of the user associated with a specific bank account
POST
/
3p
/
api
/
v1
/
bank-account
/
user
Get User Details by bank account ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Body
application/json
Show child attributes
Show child attributes
⌘I
